# frozen_string_literal: true

module Codestyle
  class ConfigGenerator < Rails::Generators::Base
    source_root File.expand_path('../templates', __FILE__)
    def setup
      @rubyversion = ruby_version
    end

    def add_gem
      gem 'rubocop', group: %i[test development]
    end

    def create_rubocop_config
      directory('rubocop_config', '.rubocop_config')
      template 'rubocop_todo.yml', '.rubocop_todo.yml'
      template 'rubocop.yml', '.rubocop.yml'
    end

    def run_bundle
      run('bundle install')
    end

    def ruby_version
      (/\d\.\d/.match `ruby -v`)[0]
    end
  end
end
